<?php

class Questions extends CI_Controller {

        var $module = 'questions';
    public function __construct()
    {
        // $this->load does not exist until after you call this
        parent::__construct(); // Construct CI's core so that you can use it

        $this->load->database();
        $this->load->helper('language'); 
        $this->load->library('session'); 
        $this->load->model('Security','security_model');
        $this->load->model('Questions_Model','questions_model'); 
        $this->load->model('Language','language_model');  
         //require_once(APPPATH.'controllers/admin/Security.php'); //include controller
            //$security = new Security();  //create object 
            //$security->permission(); //call function    

        //check user have login or not
        $this->security_model->admin($this->session->userdata('session_id'),$this->session->userdata('user_id'),$this->session->userdata('username'));
        //end check user have login or not
    }
    function index()
    {
        
        $session_id = $this->security_model->getcode();
        //$sess = $this->security_model->admin($session_id);
        //$property = $this->Property->get();
        

        //check user have login or not
        // $this->security_model->admin($this->session->userdata('session_id'),$this->session->userdata('user_id'),$this->session->userdata('username'));
        //end check user have login or not
        
        //$data['sess'] = $sess;  
        //$data['property'] = $property;

        $data['web']=$this->uri->segment(4);
        if(empty($data['web'])){
            $data['web']=1;
        }


        $data['module'] = $this->module;
        $data['questions'] = $this->questions_model->getbytypeid($data['web']);
        $data['selectedmenu']="questions";
        $this->load->view('admin/questions_view.php', $data); 
    
    }
    
    function edit()
    {

        // echo "1";
        //$session_id = $this->security_model->getcode();
        //$this->security_model->admin($this->session->userdata('session_id'),$this->session->userdata('user_id'),$this->session->userdata('username'));
        //$property = $this->Property->get();
        
        //echo $this->input->post('save');

        if($this->input->post('save')){
            //echo "post save";
            $id = $this->input->post('id');
            
            $arr['type_id'] = $this->input->post('type_id');
            $arr['question'] = $this->input->post('question');
            $arr['displayorder'] = $this->input->post('displayorder');

            // $arr['keywords'] = $this->input->post('keywords');
            // $arr['lang'] = $this->input->post('lang');
            
            if($id == false){
                $arr['entered'] = date('Y-m-d H:i:s');
                $id = $this->questions_model->insert($arr);
                header('location:'.base_url().'admin/questions/edit?save=1&id='.$id);
                exit;
            }else{
                $this->questions_model->update($id, $arr);
                header('location:'.base_url().'admin/questions/edit?save=1&id='.$id);
                exit;
            }
        }
        
        $id = $this->input->get('id');
        
        $data['languages'] = $this->language_model->get_all();
        //$data['sess'] = $sess;  
        //$data['sess'] = $session_id;  
        //$data['property'] = $property;
        //$data['module'] = $this->module;

        $data['questioncontent'] = $this->questions_model->get_id($id);
        $data['save'] = $this->input->get('save');
        $data['selectedmenu']="questions";    
        $this->load->view('admin/questions_edit_view.php', $data);    
        
    }
    function delete($id)
    {
       //$this->db->delete('items', array('id' => $id));
       $this->questions_model->delete($id);
       echo 'Deleted successfully.';
    }
    function update_rank(){
        // $table = txt_only($_GET['sortList']);
        // $r_name = txt_only($_GET['rank_name']);
        // $id = txt_only($_GET['id_name']);
        // $item_name = $_GET['listItem'];

        $table_name = $this->input->post('table_name');
        $rank_name = $this->input->post('rank_name');
        $id_name = $this->input->post('id_name');
        $order = $this->input->post('order');
        // var_dump($order);
        $params = array();
        // parse_str($order, $params);
        parse_str($order, $searcharray);
        // print_r($searcharray);
        $rank=1;
        // var_dump($searcharray['listItem']);
        foreach ($searcharray['listItem'] as $value) {
            // echo "<br>";
            // echo 'value';
            // echo $value;
            $this->questions_model->update_rank($value,$rank);
            $rank=$rank+1;
        }



        return "";


    }
    
}

?>